<back to all web services

FindRecycleBinItems

The following routes are available for this service:
GET/RestApi/recycle-bin/items
import datetime
import decimal
from marshmallow.fields import *
from servicestack import *
from typing import *
from dataclasses import dataclass, field
from dataclasses_json import dataclass_json, LetterCase, Undefined, config
from enum import Enum, IntEnum


@dataclass_json(letter_case=LetterCase.CAMEL, undefined=Undefined.EXCLUDE)
@dataclass
class FindRecycleBinItems(IRecycleBinItemFilter):
    skip: Optional[int] = None
    take: Optional[int] = None
    order_expression: Optional[str] = None
    type_name: Optional[str] = None
    search_text: Optional[str] = None

Python FindRecycleBinItems DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv

HTTP + JSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/recycle-bin/items HTTP/1.1 
Host: www.asg.com.au 
Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length

[
	{
		providerName: String,
		itemTypeName: String,
		displayTypeName: String,
		itemTitle: String,
		status: String,
		statusText: String,
		itemLanguage: String,
		ownerName: String,
		dateCreated: 0001-01-01,
		parentTypeName: String,
		parentTitlesPath: String
	}
]